# Uses of Class
javafx.scene.input.TouchPoint

Packages that use TouchPoint
Package
Description
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of TouchPoint in javafx.scene.input

Methods in javafx.scene.input that return TouchPoint
Modifier and Type
Method
Description
`TouchPoint`
TouchEvent.`getTouchPoint()`
Gets the touch point of this event.
Methods in javafx.scene.input that return types with arguments of type TouchPoint
Modifier and Type
Method
Description
`List<TouchPoint>`
TouchEvent.`getTouchPoints()`
Gets all the touch points represented by this set of touch events, including the touch point of this event.
Constructors in javafx.scene.input with parameters of type TouchPoint
Modifier
Constructor
Description
``
`TouchEvent(Object source, EventTarget target, EventType<TouchEvent> eventType, TouchPoint touchPoint, List<TouchPoint> touchPoints, int eventSetId, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown)`
Constructs new TouchEvent event.
``
`TouchEvent(EventType<TouchEvent> eventType, TouchPoint touchPoint, List<TouchPoint> touchPoints, int eventSetId, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown)`
Constructs new TouchEvent event with null source and target.
Constructor parameters in javafx.scene.input with type arguments of type TouchPoint
Modifier
Constructor
Description
``
`TouchEvent(Object source, EventTarget target, EventType<TouchEvent> eventType, TouchPoint touchPoint, List<TouchPoint> touchPoints, int eventSetId, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown)`
Constructs new TouchEvent event.
``
`TouchEvent(EventType<TouchEvent> eventType, TouchPoint touchPoint, List<TouchPoint> touchPoints, int eventSetId, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown)`
Constructs new TouchEvent event with null source and target.